package models

import (
  "gorm.io/gorm"
)

type Result struct {
  gorm.Model
  Name          string
  Description   string

  // belongs to Hardware
  HardwareID    int
  Hardware      Hardware

  // belongs to Benchmark
  BenchmarkID   int
  Benchmark     Benchmark

  // belongs to Test
  TestID        int
  Test          Test
}
